package com.gree.mall.manager.enums.repair.settle;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum DoStatusEnum implements BaseEnum, IEnum<Integer> {
    END("1","已执行"),
    NOT("2","未执行"),
    HOLD("3","已执行待扣回"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

    @Override
    public Integer getValue() {
        return Integer.parseInt(key);
    }
}
